## org.eclipse.datatools.sqltools.sqleditor.internal
Class SQLEditorResources

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.datatools.sqltools.sqleditor.internal.SQLEditorResources

    public final class SQLEditorResources

extends org.eclipse.osgi.util.NLS

Field Summary
`static java.lang.String` `common_error`
`static java.lang.String` `EditorManager_operationFailed`
`static java.lang.String` `plugin_internal_error`
`static java.lang.String` `Save`
`static java.lang.String` `SQLEditor_connection_status_noConnection`
`static java.lang.String` `SQLEditor_could_not_save_as`
`static java.lang.String` `SQLEditor_error_while_trying_to_install_sql_updater`
`static java.lang.String` `SQLEditor_file_deleted_or_not_accessible`
`static java.lang.String` `SQLEditor_outlinePage_sqlSegment_titlePattern`
`static java.lang.String` `SQLEditor_problem_save_as`
`static java.lang.String` `SQLEditor_save_message`
`static java.lang.String` `SQLEditor_status_database`
`static java.lang.String` `SQLEditor_status_dbType`
`static java.lang.String` `SQLEditor_status_profile`
`static java.lang.String` `SQLEditor_status_profile_connected`
`static java.lang.String` `SQLEditor_status_profile_notconnected`
`static java.lang.String` `SQLEditorConnectionInfo_decode_error`
`static java.lang.String` `SQLEditorStorage_default_name`
`static java.lang.String` `SQLErrorHover_makeStickyHint`
`static java.lang.String` `SQLUpdate_dialog_message`
`static java.lang.String` `SQLUpdate_dialog_title`
`static java.lang.String` `SQLUpdate_dialog_toggle`
`static java.lang.String` `SQLUpdater_error_annotation`
`static java.lang.String` `SQLUpdater_error_location`
`static java.lang.String` `SQLUpdater_error_removemarker`
`static java.lang.String` `SQLUpdater_nonportable`

Method Summary
`static org.eclipse.swt.graphics.Image` `getImage(java.lang.String key)` Gets the image (.gif file) corresponding to the given key.
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String key)` Gets the image descriptor (.gif file) corresponding to the given key.
`static java.util.ResourceBundle` `getResourceBundle()` Returns the message bundle which contains constructed keys.

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### common_error

    public static java.lang.String common_error

### SQLEditor_could_not_save_as

    public static java.lang.String SQLEditor_could_not_save_as

### SQLEditor_file_deleted_or_not_accessible

    public static java.lang.String SQLEditor_file_deleted_or_not_accessible

### SQLEditor_problem_save_as

    public static java.lang.String SQLEditor_problem_save_as

### SQLUpdater_nonportable

    public static java.lang.String SQLUpdater_nonportable

### SQLUpdater_error_location

    public static java.lang.String SQLUpdater_error_location

### SQLUpdater_error_annotation

    public static java.lang.String SQLUpdater_error_annotation

### SQLUpdater_error_removemarker

    public static java.lang.String SQLUpdater_error_removemarker

### SQLUpdate_dialog_title

    public static java.lang.String SQLUpdate_dialog_title

### SQLUpdate_dialog_message

    public static java.lang.String SQLUpdate_dialog_message

### SQLUpdate_dialog_toggle

    public static java.lang.String SQLUpdate_dialog_toggle

### SQLErrorHover_makeStickyHint

    public static java.lang.String SQLErrorHover_makeStickyHint

### SQLEditor_outlinePage_sqlSegment_titlePattern

    public static java.lang.String SQLEditor_outlinePage_sqlSegment_titlePattern

### SQLEditor_connection_status_noConnection

    public static java.lang.String SQLEditor_connection_status_noConnection

### plugin_internal_error

    public static java.lang.String plugin_internal_error

### SQLEditorConnectionInfo_decode_error

    public static java.lang.String SQLEditorConnectionInfo_decode_error

### EditorManager_operationFailed

    public static java.lang.String EditorManager_operationFailed

### Save

    public static java.lang.String Save

### SQLEditor_error_while_trying_to_install_sql_updater

    public static java.lang.String SQLEditor_error_while_trying_to_install_sql_updater

### SQLEditorStorage_default_name

    public static java.lang.String SQLEditorStorage_default_name

### SQLEditor_status_profile

    public static java.lang.String SQLEditor_status_profile

### SQLEditor_status_database

    public static java.lang.String SQLEditor_status_database

### SQLEditor_status_dbType

    public static java.lang.String SQLEditor_status_dbType

### SQLEditor_save_message

    public static java.lang.String SQLEditor_save_message

### SQLEditor_status_profile_connected

    public static java.lang.String SQLEditor_status_profile_connected

### SQLEditor_status_profile_notconnected

    public static java.lang.String SQLEditor_status_profile_notconnected

Method Detail

### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle()

  Returns the message bundle which contains constructed keys.

  Returns:
    the message bundle

### getImage

    public static org.eclipse.swt.graphics.Image getImage(java.lang.String key)

  Gets the image (.gif file) corresponding to the given key.

  Returns:
    the requested image, or `null` if not found

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String key)

  Gets the image descriptor (.gif file) corresponding to the given key.

  Returns:
    the requested image descriptor, or `null` if not found